#!/usr/bin/env Rscript



setwd( paste(this.path::initwd,'/../',sep='') )
source('src/masterset.r')



#--------[ Load Data Sets]--------#
masterset_load('data/global/meta/countries.json')
masterset_load('data/global/health/drugs/alcohol-consumption.json')
masterset_load('data/global/health/mortality-rate/mortality-rate-total-cia.json')
masterset_load('data/global/demographics/fertility-rate.json')



#--------[ Create Graph ]--------#
masterset_graph_init( g_plab = 'Fertility vs. Mortality, and Alcohol Consumption' )

masterset_graph_points(
  g_xvar = masterset$fertility.rate,
  g_yvar = masterset$mortality.rate.total.cia,
  g_size = masterset$alcohol.consumption
)

masterset_graph_save( 'examples/global-fertility-mortality-alcohol.svg' )