#!/usr/bin/env Rscript



setwd( paste(this.path::initwd,'/../',sep='') )
source('src/masterset.r')



#--------[ Load Data Sets]--------#
masterset_load('data/global/meta/countries.json')
masterset_load('data/global/economics/gdp/gdp-ppp/gdp-ppp-pc-cia.json')
masterset_load('data/global/health/psychology/intelligence-quotent.json')
masterset_load('data/global/demographics/fertility-rate.json')
masterset_load('data/global/politics/governance/democracy-index/democracy-index-regime.json')



#--------[ Create Graph ]--------#
masterset_graph_init( g_plab = 'IQ vs. GDP, and Fertility Rate by Regime Type' )

masterset_graph_points(  
  g_xvar = masterset$gdp.ppp.pc.cia,
  g_yvar = masterset$iq,
  g_size = masterset$fertility.rate,
  g_col  = masterset$democracy.regime
  #g_xlog = TRUE
)

masterset_graph_save('examples/global-gdp-iq-fertility.svg')
