#!/usr/bin/env Rscript



setwd( paste(this.path::initwd,'/../',sep='') )
source('src/masterset.r')



#--------[ Load Data Sets]--------#
masterset_load('data/regional/united-states/meta/us-counties.json')
masterset_load('data/regional/united-states/economics/income/us-income-individual-mean-2019.json')
masterset_load('data/regional/united-states/education/us-education-bachelor-2019.json')
masterset_load('data/regional/united-states/technology/us-technology-broadband-2019.json')
masterset_load('data/regional/united-states/demographics/race/us-race-black-2019.json')



#--------[ Create Graph ]--------#
masterset_graph_init( g_plab = 'Education vs. Income Per-Capita')

masterset_graph_points(
  g_xvar = masterset$us.education.bachelor.2019,
  g_yvar = masterset$us.income.individual.mean.2019,
  g_col  = masterset$us.technology.broadband.2019,
  g_size = masterset$us.race.black.2019
)

masterset_graph_save( 'examples/regional-us-education-income.svg' )
