#!/usr/bin/env Rscript



setwd( paste(this.path::initwd,'/../',sep='') )
source('src/masterset.r')



#--------[ Load Data Sets]--------#
masterset_load('data/regional/united-states/meta/us-counties.json')
masterset_load('data/regional/united-states/economics/income/us-income-household-mean-2019.json')
masterset_load('data/regional/united-states/politics/elections/election-presidential-2020/us-election-presidential-2020-swing.json')
masterset_load('data/regional/united-states/demographics/population/us-population-2019.json')
masterset_load('data/regional/united-states/geography/us-area-land-2013.json')



#--------[ Process Data ]--------#
masterset_new(
  new_key   = 'us.population.density',
  new_name  = 'Population Density',
  new_units = 'people/km²',
  new_data  = masterset$us.population.2019 / masterset$us.area.land.2013
)



#--------[ Create Graph ]--------#
masterset_graph_init( g_plab = 'Population Density vs Political Leaning')

masterset_graph_points(
  g_xvar = masterset$us.population.density,
  g_yvar = masterset$us.election.presidential.2020.swing,
  g_size = masterset$us.population.2019,
  g_col  = masterset$us.income.household.mean.2019,
  g_xlog = TRUE
)

masterset_graph_save( 'examples/regional-us-population-politics.svg' )
