#!/usr/bin/env Rscript



#--------[ Required Libraries ]--------#
library('jsonlite') # JSON Library

library('plyr')     # Data Manipulation Library
library('zoo')      # Data Manipulation Library (na.approx)
library('stringr')  # Data Manipulation Library (str_replace)

library('ggplot2')  # Plot Main Library
library('ggrepel')  # Plot Repel Label Library
library('ggforce')  # Plot Additional Library
library('scales')   # Plot Unit/Scale Library
library('svglite')  # Plot Save SVG Library



#--------[ Global Variables ]--------#
masterset       <- data.frame()  # Main Dataframe
masterset_scope <- ''            # Data Scope
masterset_graph <- data.frame()  # Graph Data Object
masterset_meta  <- data.frame(   # Metadata Dataframe
  id             = character(),
  id.cat         = character(),
  name           = character(),
  description    = character(),
  units          = character(),
  year           = integer(),
  author         = character()
)
masterset_conf  <- data.frame( g_norm=FALSE )  # Global Config Variables



#--------[ Load MasterSet Modules ]--------#
source('src/masterset_utils.r')         # MasterSet Utilities
source('src/masterset_load.r')          # MasterSet Load and Merge Data
source('src/masterset_graph_init.r')    # Masterset Draw Graph-Init
source('src/masterset_graph_points.r')  # Masterset Draw Graph-Points
source('src/masterset_graph_line.r')    # MasterSet Draw Graph-Lines
source('src/masterset_graph_events.r')  # MasterSet Draw Graph Historic Events
source('src/masterset_graph_save.r')    # MasterSet Save Graph


