#!/usr/bin/env Rscript



masterset_graph_event <- function(
  g_xlab  = NULL,
  g_start = NULL,
  g_end   = NULL
){
  
  

  #--------[ Draw Vertical Line ]--------#
  if( is.null(g_end) ){
    masterset_graph <<- masterset_graph + geom_vline(
      xintercept = g_start,
      size       = 1,
      alpha      = 0.1
    )
  }else{
#    masterset_graph <<- masterset_graph + geom_rect(
    masterset_graph <<- masterset_graph + annotate(
      geom  = 'rect',
      xmin  = g_start,
      ymin  = Inf,
      xmax  = g_end,
      ymax  = -Inf,
      color = alpha('#000000', 0.10),
      fill  = alpha('#000000', 0.05)
    )
  }
  
  
  #--------[ Draw Top Text Label ]--------#
  masterset_graph <<- masterset_graph + annotate(
    geom  = 'text',
    x     = ifelse( is.null(g_end), g_start, (g_start+g_end)/2 ),
    y     = 0.9,
    label = g_xlab,
    angle = 90,
    size  = 2.5,
    hjust = 0,
    alpha = 0.5
  )
  
  #--------[ Draw Middle Text Label ]--------#
  masterset_graph <<- masterset_graph + annotate(
    "text",
    x     = ifelse( is.null(g_end), g_start, (g_start+g_end)/2 ),
    y     = 0.5,
    label = g_xlab,
    angle = 90,
    size  = 2.5,
    hjust = 0.5,
    alpha = 0.5
  )
  
  #--------[ Draw Bottom Text Label ]--------#
  masterset_graph <<- masterset_graph + annotate(
    "text",
    x     = ifelse( is.null(g_end), g_start, (g_start+g_end)/2 ),
    y     = 0.1,
    label = g_xlab,
    angle = 90,
    size  = 2.5,
    hjust = 1,
    alpha = 0.5
  )
  
  
    
}